TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.listTemplates();
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.listTemplates();
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.ConnectionProfiles.ListTemplates(
context.TODO(),
)
}
# Ensure you're logged in: auth0 login
auth0 api get "connection-profiles/templates"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ConnectionProfiles.ListTemplatesAsync();
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connectionProfiles().listTemplates();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connectionProfiles->listTemplates();
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connection_profiles.list_templates()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connection_profiles.list_templates
curl --request GET \
--url https://{tenantDomain}/api/v2/connection-profiles/templates \
--header 'Authorization: Bearer <token>'{
"connection_profile_templates": [
{
"id": "<string>",
"display_name": "<string>",
"template": {
"name": "<string>",
"organization": {
"show_as_button": "none",
"assign_membership_on_login": "none"
},
"connection_name_prefix_template": "<string>",
"enabled_features": [
"scim"
],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"ad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"adfs": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"waad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"google-apps": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"okta": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"oidc": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"samlp": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
}
]
}Get Connection Profile Templates
Retrieve a list of Connection Profile Templates.
GET
https://{tenantDomain}/api/v2
/
connection-profiles
/
templates
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.listTemplates();
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.listTemplates();
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.ConnectionProfiles.ListTemplates(
context.TODO(),
)
}
# Ensure you're logged in: auth0 login
auth0 api get "connection-profiles/templates"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ConnectionProfiles.ListTemplatesAsync();
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connectionProfiles().listTemplates();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connectionProfiles->listTemplates();
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connection_profiles.list_templates()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connection_profiles.list_templates
curl --request GET \
--url https://{tenantDomain}/api/v2/connection-profiles/templates \
--header 'Authorization: Bearer <token>'{
"connection_profile_templates": [
{
"id": "<string>",
"display_name": "<string>",
"template": {
"name": "<string>",
"organization": {
"show_as_button": "none",
"assign_membership_on_login": "none"
},
"connection_name_prefix_template": "<string>",
"enabled_features": [
"scim"
],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"ad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"adfs": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"waad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"google-apps": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"okta": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"oidc": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"samlp": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
}
]
}